gsasl_step64(3)

NAME
gsasl_step64 - API function

SYNOPSIS
#include <gsasl.h>

int gsasl_step64(Gsasl_session * sctx, const char * b64input, char ** b64output);

ARGUMENTS

Gsasl_session * sctx
    libgsasl client handle.

const char * b64input
    input base64 encoded byte array.

char ** b64output
    newly allocated output base64 encoded byte array.

DESCRIPTION
This is a simple wrapper around gsasl_step() that base64 decodes the input and base64 encodes the output. The contents of the b64output buffer is unspecified if this functions returns anything other than GSASL_OK or GSASL_NEEDS_MORE. If this function return GSASL_OK or GSASL_NEEDS_MORE, however, the b64output buffer is allocated by this function, and it is the responsibility of caller to deallocate it by calling free (b64output).

RETURN VALUE
Returns GSASL_OK if authenticated terminated successfully, GSASL_NEEDS_MORE if more data is needed, or error code.

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>. GNU SASL home page: http://www.gnu.org/software/gsasl/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2012 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual.